import {
  Environment,
  commonApiUrls,
  commonApiacceptableFileExtensions,
  publicApiUrls,
  externalApiUrls,
  piUrls,
  protocolUrls,
  messageApiUrls
} from './environment.type';
import { DeviceType } from '@ucap-webmessenger/core';

export const environment: Environment = {
  production: false,
  title: `[개발] UCapMessenger`,

  companyConfig: {
    companyGroupCode: 'LG'
  },

  productConfig: {
    productId: 'PRO_000482',
    productName: 'EZMessenger',
    authentication: {
      usePrivateInformationAgree: false
    },
    updateCheckConfig: {
      deviceType: DeviceType.Renderer,
      intervalHour: 1
    }
  },

  commonApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '27.122.224.170',
      port: 8011
    },
    urls: commonApiUrls,
    acceptableFileExtensions: commonApiacceptableFileExtensions
  },

  publicApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '27.122.224.170',
      port: 8011
    },
    urls: publicApiUrls
  },

  externalApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '27.122.224.170',
      port: 8011
    },
    urls: externalApiUrls
  },

  messageApiModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '27.122.224.170',
      port: 9098
    },
    urls: messageApiUrls
  },

  piModuleConfig: {
    hostConfig: {
      protocol: 'http',
      domain: '27.122.224.170',
      port: 9097
    },
    urls: piUrls
  },

  protocolModuleConfig: {
    hostConfig: {
      protocol: 'ws',
      domain: '27.122.224.170',
      port: 8080
    },
    urls: protocolUrls,
    reconnect: {
      delay: 1000
    },
    requestId: {
      min: 1,
      max: 59999
    }
  },

  nativeModuleConfig: {}
};
